For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
            • GETList B2B Users
            • POSTCreate Company User
            • POSTBulk Create Users
            • GETGet User Details
            • PUTUpdate User Details
            • DELDelete User
            • GETGet User Details by BigCommerce Customer ID
            • GETList Extra Fields for Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementUsers

Create Company User

POST
https://api-b2b.bigcommerce.com/api/v3/io/users
POST
/api/v3/io/users
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/users \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "channelIds": [
> 101,
> 202
> ]
>}'
1{
2 "code": 200,
3 "data": {
4 "userId": 34567,
5 "bcId": 78901
6 },
7 "meta": {
8 "message": "Success"
9 }
10}
Create a Company user within an existing Company. With [Independent Company behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior) enabled, B2B Edition Company accounts are the source of truth for defining a Company user’s customer group assignment. On stores without Independent Company behavior, each Company account has a one-to-one relationship with its customer group. If no default customer group is configured, or the set value of `customerGroupId` is 0, the B2B Company will not be associated with any customer group. The Company users will have their corresponding customer records assigned to No Group in BigCommerce.
Was this page helpful?
Previous

List B2B Users

Next

Bulk Create Users

Built with

Create a Company user within an existing Company.

With Independent Company behavior enabled, B2B Edition Company accounts are the source of truth for defining a Company user’s customer group assignment.

On stores without Independent Company behavior, each Company account has a one-to-one relationship with its customer group.

If no default customer group is configured, or the set value of customerGroupId is 0, the B2B Company will not be associated with any customer group. The Company users will have their corresponding customer records assigned to No Group in BigCommerce.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
companyIdintegerRequired
The unique numeric ID associated with the user's B2B Edition Company account.
channelIdslist of integersRequired
List of numeric channel IDs the user is associated with. These represent the storefront channels the user can log in to and do business.
acceptWelcomeEmailbooleanOptional
Indicates whether the user will receive a welcome email when the account is created.
originChannelIdintegerOptional

The ID of the originating channel. A value of 0 will unset the user’s origin channel, which may result in unexpected behavior. To avoid errors, ensure all necessary channels are included in channelIds.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
dataobject
metaobject

Errors

422
Unprocessable Entity Error
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.